Subject: bug#69567: closed (Re: [bug#69567] [PATCH 0/1] gnu: raspi-gpio: Make public.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Mar 2024 13:55:03 +0000

Your bug report

#69567: [PATCH 0/1] gnu: raspi-gpio: Make public.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69567: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69567
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69567] [PATCH 0/1] gnu: raspi-gpio: Make public.
From: Christopher Baines <[email-masked]>
To: Jean-Pierre De Jesus DIAZ <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 14 Mar 2024 13:52:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Jean-Pierre De Jesus DIAZ via Guix-patches via <[email-masked]> writes:

> Hello,
>
> While working at another target (arm-none-eabi, pending) I've found this
> package that is defined but not public, it compiles fine so it's just
> a change from DEFINE to DEFINE-PUBLIC.
>
> Jean-Pierre De Jesus DIAZ (1):
>   gnu: raspi-gpio: Make public.
>
>  gnu/packages/raspberry-pi.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
>
> base-commit: b6dec0108f99d75066bad15aaa124b84bb0261f3

Makes sense to me, I've pushed this to master as
8166d5b81ed6ca32434fb4e66fa8306a28e4949b.

Thanks,

Chris

Subject: [PATCH 0/1] gnu: raspi-gpio: Make public.
From: Jean-Pierre De Jesus DIAZ <[email-masked]>
To: [email-masked]
Cc: Jean-Pierre De Jesus DIAZ <[email-masked]>
Date: Tue, 5 Mar 2024 18:15:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

While working at another target (arm-none-eabi, pending) I've found this
package that is defined but not public, it compiles fine so it's just
a change from DEFINE to DEFINE-PUBLIC.

Jean-Pierre De Jesus DIAZ (1):
  gnu: raspi-gpio: Make public.

 gnu/packages/raspberry-pi.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

base-commit: b6dec0108f99d75066bad15aaa124b84bb0261f3
-- 
2.41.0